Contents
Multi-langage Messages Manager

Properties	Events

Description -File

This control provide a consistent mechanism for managing the messages that can appear within an application. It is design to simplify the development of application in multiple language that have to dynamically change but you can also use it as an alternative of the string resource for program that does not need several languages.

File Name

PSMMM.VBX

Distribution Note  When you create and distribute applications that use the PSMMM control you should install the file PSMLSM.VBX in the customer's Microsoft Windows \SYSTEM subdirectory.

Registration of PSMMM.VBX


Properties

All of the properties for this control are listed in the following table. Properties that apply only to this control, or that require special consideration when used with it, are marked with an asterisk (*). For documentation of the remaining properties, see Appendix A, "Standard Properties, Events, and Methods" in the Custom Control Reference.

*FileName	*NberOfSupportedLanguages

Index	*SupportedLanguage

*Language	Parent

Left	Tag

*Message	Top

*MessageID	*WindowsLanguage

Name


FileName

Description

Specifies the name of the file that contains the strings. The property does not contains the full path name. The control searches for a matching file in the following directories (in this order):

1	The current directory.

2	The Windows directory.

3	The Windows system directory.

4	The directory containing the executable file for the current task.

5	The directories listed in the PATH environment variable.

6	The list of directories mapped in a network.

We recommend to place the file in the application directory. Not available at run time.

Data Type

String


Language

Description

The language property contains the language in witch the messages will be returned. The value of the property must be one of the supported language that are listed in the SupportedLanguage property array. Not available at design time.

Usage

[form!]PSMMM.Language[ =Language$ ]

Settings

The Language property settings are:

Setting	Decription

"dan"	Danish

"deu"	German

"eng"	U.K. English

"enu"	U.S. English

"esn"	Modern Spanish

"esp"	Castilian Spanish

"fin"	Finnish

"fra"	French

"frc"	Canadian French

"isl"	Icelandic

"ita"	Italian

"nld"	Dutch

"nor"	Norwegian

"ptg"	Portuguese

"sve"	Swedish

Remarks

If the language is not supported the trappable error 20001 will occur.

Data Type

String


Message

Description

The message property will contain the string after the setting of the MessageID property. Not available at design time and read only at run time.

Usage

[form!]PSMMM.Message

Data Type

String


MessageID

Description

This is a trigger property. When you set it, the Message property will be filled with a message in the language specified in the Language property. Not available at design time and write only at run time.

Usage

[form!]PSMMM.MessageID[ = ID% ]

Remarks

If there is no message for the specified ID, the trappable error 20003 will occur.

Data Type

Integer


NberOfSupportedLanguages

Description

This property contains the number of languages that the SupportedLanguage property array contains. Not available at design time and read only at run time.

Usage

[form!]PSMMM.NberOfSupportedLanguages

Data Type

Integer


SupportedLanguage

Description

The SupportedLanguage property is an array filled with the supported languages that are the languages specified in the file of messages. The Language property must be set with one of this values. The size of the array is give by the NberOfSupportedLanguages property.

Usage

[form!]PSMMM.SupportedLanguage( index% )

Data Type

String


WindowsLanguage

Description

The WindowsLanguage property is set when the control is loaded with the language specified in the WIN.INI file. It contains not necessarily a valid language.

Usage

[form!]PSMMM.SupportedLanguage( index% )

Data Type

String


Events
Event

All of the events for this control are listed in the following table. Events that apply only to this control, or that require special consideration when used with it, are marked with an asterisk (*). For documentation of the remaining events, see Appendix A, "Standard Properties, Events, and Methods" in the Custom Control Reference.

*LanguageChange


LanguageChange

Description

This event occur when the Language property is set. You can use it to reload the string that are currently visible at the screen.

Usage

Sub PSMMM_LanguageChange (NewLanguage As String)


Registration
Registration of PSMMM.VBX

Registration by Mail

Registration by "SWREG" Forum of Compuserve


Registration by Mail

You can print this form selecting the Print Topic from the file menu.

Registrieren by Mail ($37)

Name:	______________________________________________

Company:	______________________________________________

Address:	______________________________________________

City	______________________________________________

Zip:	______________________________________________

Country:	______________________________________________

Tel:	__________________	Fax: 	____________________

Natel:	__________________	E-Mail:	____________________

Signature:	______________________________________________

Send completed form with payment to:

PTAHSoft
Postfach 193
CH-1723 Marly 1
Switzerland

__________________________

+++ Only Cash or Cheque +++

__________________________


Registration by SWREG
Registration by "SWREG" Forum

Registrieren by Compuserve (35$)

Start your Compuserve Terminal and go in the "SWREG Forum". There you select "Register Shareware". The "RegistrationID" is 4376.

Send us your feedback:

CompuserveID:	75240, 664
Title:	"Feedback:  PSMMM.VBX"